function P=getConfigPaths()
  filename=[Thrust.tools.getToolboxpath(),'Makefile.inc'];
  fid=fopen(filename,'r');
  if fid==-1, error('File %s not found.',filename); end
  S=textscan(fid,'%s %s','Delimiter','=','CommentStyle','#');
  fclose(fid);
  
  nS=length(S{1}); str='struct(';
  for i=1:nS-1
    str=sprintf('%s''%s'',''%s'',',str,strtrim(S{1}{i}),strtrim(S{2}{i}));
  end
  str=sprintf('%s''%s'',''%s'');',str,strtrim(S{1}{nS}),strtrim(S{2}{nS}));
  P=eval(str);
  P=ReplacePaths(P);
end

function P=ReplacePaths(P)
  fiNa=fieldnames(P);
  nfiNa=length(fiNa);
  toolboxpath=Thrust.tools.getToolboxpath();
  toolboxpath=toolboxpath(1:end-1);% suppress last filesep
  for i=1:nfiNa
    P=setfield(P,fiNa{i},strrep(getfield(P,fiNa{i}),'$(MAIN_DIR)',toolboxpath));
    P=setfield(P,fiNa{i},strrep(getfield(P,fiNa{i}),'$(MATLAB_VERSION)',Thrust.tools.getMatlabRelease()));
    P=setfield(P,fiNa{i},strrep(getfield(P,fiNa{i}),'$(CUDA_VERSION)',Thrust.tools.getCUDAversion()));
  end
  
  for i=1:nfiNa % replace 
    strold=sprintf('$(%s)',fiNa{i});
    strnew=getfield(P,fiNa{i});
    for j=[1:i-1,i+1:nfiNa]
      P=setfield(P,fiNa{j},strrep(getfield(P,fiNa{j}),strold,strnew));
    end
  end

end