function objout=cummax(obj)
% CUMMAX  Returns the cumulative maximum values of a mThrust vector.
%    
%    Example
%       x = Thrust.randn(10);
%       y = cummax(x);
%
% Francois Cuvelier 2013-2016
    assert(~obj.complex, Messages(0));
    objout=mThrust(obj.dim,obj.container,obj.type);
    mex_mThrust_cummax(obj,objout);
end