function objout=cumprod(obj)
% CUMPROD  Returns the cumulative product values of a mThrust vector.
%    
%    Example
%       x = Thrust.randn(10);
%       y = cumprod(x);
%
% Francois Cuvelier 2013-2016
    objout=mThrust(obj.dim,obj.container,obj.type,obj.complex);
    mex_mThrust_cumprod(obj,objout);
end