function objout=cumsum(obj)
% CUMSUM  Returns the cumulative sum values of a mThrust vector.
%    
%    Example
%       x = Thrust.randn(10);
%       y = cumsum(x);
%
% Francois Cuvelier 2013-2016
    objout=mThrust(obj.dim,obj.container,obj.type,obj.complex);
    mex_mThrust_cumsum(obj,objout);
end