function objout=nearbyint(obj)
% NEARBYINT Round the input argument to the nearest integer. 

%  Not to use with complex mThrust objects.

% Example:
%   dX=Thrust.linspace(0,2*pi,1000);
%   dY=nearbyint(dX);

% Francois Cuvelier 2013-2016
  assert( ~obj.complex ,Messages(0));
  assert( ismember(obj.type,Thrust.types('type','real')) ,Messages(1));
  objout=mThrust(obj);
  mex_mThrust_nearbyint(obj,objout);
end