function a=subsasgn(a,s,b)
% F.C. : to improve
  assert( Thrust.ismThrust(a) ,'a must be a mThrust object');
  switch s(1).type
      case '.'
         if length(s) == 1
            % Implement obj.PropertyName = varargin{:};
            %...
            prop = s(1).subs;
            a.(prop)=b;
         end
      case '()'
        subs=s.subs{:};
        %subs=s.subs{:};
        %assert(length(subs)==length(b),'s and b must have the same length');
        if ( Thrust.ismThrust(b) ) 
          assert(strcmp(a.type,b.type),'a and b must be mThrust<Type> of same <Type>');
          if ( Thrust.ismThrust(subs) ) 
            assert(strcmp(subs.type,'int'),'s must be an mThrust<int> ');
            mex_mThrust_subsasgn(a,subs,b);
          elseif ( isnumeric(subs) ) 
            % assert(length(obj2)==1,'dimension failed');
            S=mThrust(Thrust.toCtype(subs-1,'int'),a.container);
            mex_mThrust_subsasgn(a,S,b);
          elseif ( strcmp(subs,':') )
            mex_mThrust_copy(b,a,Thrust.toCtype(0,'int'),Thrust.toCtype(a.dim,'int'),Thrust.toCtype(0,'int'));
          else
            error('incompatible type')
          end
        elseif ( isnumeric(b) || islogical(b) ) 
          if (length(subs)==length(b))
            B=mThrust(Thrust.toCtype(b,a.type),a.container);
          elseif isscalar(b)
            B=Thrust.set(length(subs),b);
          elseif ( strcmp(subs,':') )
            B=mThrust(Thrust.toCtype(b,a.type),a.container);
          else
            error('incompatible dimension between input and output')
          end  
          if ( Thrust.ismThrust(subs) ) 
            %sum( (subs>=0) & (subs<a.dim) )
            assert(strcmp(subs.type,'int'),'s must be an mThrust<int> ');
            % Must test subs are valid mThrust index : 0<= idx < a.size()
            assert( sum( (subs>=0) & (subs<a.dim) )==B.dim )
            mex_mThrust_subsasgn(a,subs,B);
          elseif ( isnumeric(subs) ) 
            assert( sum( (subs>=1) & (subs<=a.dim) )==B.dim )
            S=mThrust(Thrust.toCtype(subs-1,'int'),a.container);
            mex_mThrust_subsasgn(a,S,B);
          elseif ( strcmp(subs,':') )
            if (length(a)==length(b))
              S=Thrust.sequence(length(a),'type','int','container',a.container);
              mex_mThrust_subsasgn(a,S,B);
            elseif length(b)==1;
              %S=mThrust.sequence(length(a),'type','int','container',a.container);
              set(a,b);
            else
              error('incompatible type')         
            end
          else
            error('incompatible type')
          end
        else
          error('incompatible input type')
        end
      end
   
end