#include <string>
#include <cuda_runtime.h>
#include "mex.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] ){
  int runtimeVersion;
  cudaRuntimeGetVersion(&runtimeVersion);
  double version=runtimeVersion/1000+(runtimeVersion%100)/100. ;
  char cTemp[10];
  #if defined(WIN32) || defined(_WIN32) || defined(WIN64) || defined(_WIN64)
  sprintf_s(cTemp, 10, "%g", version);
  #else
  sprintf(cTemp, "%g", version);
  #endif    
  plhs[0]=mxCreateString( (const char *)cTemp );
}