#include <string>
#include "mThrust.h"
#include "mex.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] ){
  int major = THRUST_MAJOR_VERSION;
  int minor = THRUST_MINOR_VERSION;
  int subminor = THRUST_SUBMINOR_VERSION;
  char cTemp[10];
  #if defined(WIN32) || defined(_WIN32) || defined(WIN64) || defined(_WIN64)
  sprintf_s(cTemp, 10, "%d.%d.%d", major, minor,subminor);
  #else
  sprintf(cTemp, "%d.%d.%d", major, minor,subminor);
  #endif    
  plhs[0]=mxCreateString( (const char *)cTemp );
}