#include <string>
#include <cuda.h>
#include "mex.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[] ){
  int device =(int) *( (double *) mxGetPr(prhs[0]));
  int devCount;
  cudaError_t cudaError;
  cudaGetDeviceCount(&devCount);
  if ((device>=0) && (device<devCount)){
    cudaError=cudaSetDevice(device);
    if (cudaError != cudaSuccess)
      mexPrintf("CUDA error device set failed\n");
    else
      mexPrintf("CUDA device set to %d\n",device);   
  }
}