#include <iostream>
#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"

#define MESS "mThrustToolbox:setreal"

template <typename T> 
struct trans_unary_functor : public thrust::unary_function<thrust::complex<T>,thrust::complex<T> >
{
  const T a;
  
  trans_unary_functor(T _a) : a(_a) {};
  
  __host__ __device__
  thrust::complex<T> operator()(const thrust::complex<T> & z) const { 
    //thrust::complex<T> zz=z;zz.real(x);
    return thrust::complex<T> (a,z.imag());
  } 
};

#include "mex_mThrust_cmathfun4_gen.cu"