function obj=ones(n,varargin)
  p = inputParser; 
  p.addParamValue('container', 'device', @(x) ismember(x,Thrust.getContainers()));
  p.addParamValue('type', 'double', @(x) ismember(x,Thrust.types('type','numerical')));
  p.addParamValue('complex',false,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  obj=mThrust(n,R.container,R.type,R.complex);
  if obj.complex
    val=complex(Thrust.toCtype(1,R.type));
  else
    val=Thrust.toCtype(1,R.type);
  end
%    mex_mThrust_setrealcst(obj,complex(Thrust.toCtype(1,R.type)));
%  else
    mex_mThrust_set(obj,val);
end