function obj=randn(n,varargin)
  %  gx=mThrust.randn(100,'mu',0.5,'sigma',0.25)
  p = inputParser; 
  p.addParamValue('container', 'device', @(x) ismember(x,Thrust.getContainers()));
  p.addParamValue('type', 'double', @(x) ismember(x,Thrust.getTypes()));
  p.addParamValue('mu', 0, @isscalar);
  p.addParamValue('sigma', 1, @isscalar);
  p.parse(varargin{:});
  container=p.Results.container;
  type=p.Results.type;
  M=p.Results.mu;S=p.Results.sigma;
  obj=mThrust(n,container,type);
  mex_mThrust_randn(obj,Thrust.toCtype(M,type),Thrust.toCtype(S,type),uint32(randi(10^8,1)));
end
