function Types=types(varargin)
  p = inputParser; 
  p.addParamValue('type', '', @ischar);
  p.parse(varargin{:});
  switch lower(p.Results.type)
    case 'numerical'
      Types={'int','unsigned','float','double'};
    case 'real'
      Types={'float','double'};
    case 'integer'
      Types={'int','unsigned'};
    case 'logical'
      Types={'logical'};
    case 'signed'
      Types={'int','float','double'};
    otherwise
      Types={'int','unsigned','float','double','logical'};
  end
end