function objout=cyl_bessel_i0(obj)
% CYL_BESSEL_I0 Calculate the value of the regular modified cylindrical Bessel function of order 0 for the input argument.

% example:
%   dX=mThrust.linspace(0,2*pi,1000);
%   dY=cyl_bessel_i0(dX);
objout=mThrust(obj.dim,obj.container,obj.type);
mex_mThrust_cyl_bessel_i0(obj.handle,obj.container,obj.type,objout.handle);
end