function bool=iscompatible(obj1,obj2,varargin)
  if ~Thrust.ismThrust(obj2),bool=false;return;end
  p = inputParser;
  p.addParamValue('complex', true, @islogical );
  p.parse(varargin{:});
  
  bool=( strcmp(obj1.container,obj2.container) && strcmp(obj1.type,obj2.type) && ...
         (obj1.dim==obj2.dim) );
  if p.Results.complex
    bool=(bool && (obj1.complex==obj2.complex) );
  end
end
