function copy(objin,objout,varargin)
% COPY copy mThrust object objin values in mThrust object objout. 
  p = inputParser; 
  p.addParamValue('istart', 1, @(x) isscalar(x) & isnumeric(x));
  p.addParamValue('iend', objin.dim, @(x) isscalar(x) & isnumeric(x));
  p.addParamValue('ostart', 1, @(x) isscalar(x) & isnumeric(x));
  p.parse(varargin{:});
  istart=p.Results.istart;iend=p.Results.iend;
  ostart=p.Results.ostart;
  assert( istart>=1 & istart<iend & iend<=objin.dim)
  assert( ostart>=1)
  mex_mThrust_copy(objin,objout,Thrust.toCtype(istart-1,'int'),Thrust.toCtype(iend,'int'),Thrust.toCtype(ostart-1,'int'));
end