function obj1=plusbis(obj1,obj2)
% example
%   A=mThrust.rand(1000,'device','double');
%   B=mThrust.rand(1000,'device','double');
%   C1=A+2;
%   C2=2+A;
%   C3=A+B;
  assert(Thrust.ismThrust(obj1));
  iscomplex=(~isreal(obj1) || ~isreal(obj2));
  if ( Thrust.ismThrust(obj2) ) % mThrust<type>  <-  mThrust<type> + mThrust<type>
    assert(obj1.dim==obj2.dim,'Dimension trouble');
    assert(strcmp(obj1.container,obj2.container),'container trouble');
    if (strcmp(obj2.type,'logical'))
      %obj=mThrust(obj1.dim,obj1.container,obj1.type,iscomplex);
      mex_mThrust_pluslogical(obj1,obj2,obj1);
    elseif (strcmp(obj1.type,'logical'))
      %obj=mThrust(obj2.dim,obj2.container,obj2.type,iscomplex);
      %mex_mThrust_pluslogical(obj2,obj1,obj);
    elseif (strcmp(obj1.type,obj2.type))
      mex_mThrust_plus(obj1,obj2,obj1);
    end
  elseif ( (Thrust.ismThrust(obj1)) && ( isnumeric(obj2) ) ) % mThrust<type>  <-  mThrust<type> + scalar<type>
    assert(length(obj2)==1,'dimension failed');
    A=Thrust.toCtype(obj2,obj1.type);
    %obj=mThrust(obj1.dim,obj1.container,obj1.type,iscomplex);
    mex_mThrust_pluscst(obj1,A,obj1);
  else
    error('incompatible type')
  end
end