#include <string>
#include "textcolors.h"
#include "ObjectHandle.h"
#include "mThrust.h"
#include "mex.h"
#include <thrust/scan.h>

#define MESS "mThrustToolbox:cumsum"

template <typename T> struct cum_functor :  public thrust::binary_function<T,T,T>
{
  __host__ __device__
  T operator()(const T & z1, const T& z2) const { return z1+z2; }
};
// TODO : improve by using functor thrust::plus<T> :
//        How to define cum_functor as thrust::plus?
//struct thrust::plus<T> fun_functor;
//template <typename T> struct fun_functor : public thrust::plus<T>;

#include "mex_mThrust_cumulativefun_gen.cu"